Distributed Virtual Switch Manager Query Compatible Vmnics From Hosts

Distributed Virtual Switch Manager Query Compatible Vmnics From Hosts
This operation returns a list of vmnics which are compatible with the given DistributedVirtualSwitch product specification.

This operation returns a list of vmnics which are compatible with the given DistributedVirtualSwitch product specification.

Since: vSphere API Release 8.0.0.1

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QueryCompatibleVmnicsFromHosts
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DistributedVirtualSwitchManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "dvs": {}
}
{
    "hosts": [
        {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    ],
    "dvs": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
array of object
hosts
Optional

The array of hosts on which the query is to be made to fetch valid PhysicalNics on each host.

dvs
Required

The distributed virtual switch on which the query is to be made.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "host": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "physicalNics": [
            {
                "_typeName": "string",
                "key": "string",
                "device": "string",
                "pci": "string",
                "driver": "string",
                "driverVersion": "string",
                "firmwareVersion": "string",
                "linkSpeed": {
                    "_typeName": "string",
                    "speedMb": 0,
                    "duplex": false
                },
                "validLinkSpecification": [
                    {
                        "_typeName": "string",
                        "speedMb": 0,
                        "duplex": false
                    }
                ],
                "spec": {
                    "_typeName": "string",
                    "ip": {
                        "_typeName": "string",
                        "dhcp": false,
                        "ipAddress": "string",
                        "subnetMask": "string",
                        "ipV6Config": {
                            "_typeName": "string",
                            "ipV6Address": [
                                {
                                    "_typeName": "string",
                                    "ipAddress": "string",
                                    "prefixLength": 0,
                                    "origin": "string",
                                    "dadState": "string",
                                    "lifetime": "string",
                                    "operation": "string"
                                }
                            ],
                            "autoConfigurationEnabled": false,
                            "dhcpV6Enabled": false
                        }
                    },
                    "linkSpeed": {
                        "_typeName": "string",
                        "speedMb": 0,
                        "duplex": false
                    },
                    "enableEnhancedNetworkingStack": false,
                    "ensInterruptEnabled": false
                },
                "wakeOnLanSupported": false,
                "mac": "string",
                "fcoeConfiguration": {
                    "_typeName": "string",
                    "priorityClass": 0,
                    "sourceMac": "string",
                    "vlanRange": [
                        {
                            "_typeName": "string",
                            "vlanLow": 0,
                            "vlanHigh": 0
                        }
                    ],
                    "capabilities": {
                        "_typeName": "string",
                        "priorityClass": false,
                        "sourceMacAddress": false,
                        "vlanRange": false
                    },
                    "fcoeActive": false
                },
                "vmDirectPathGen2Supported": false,
                "vmDirectPathGen2SupportedMode": "string",
                "resourcePoolSchedulerAllowed": false,
                "resourcePoolSchedulerDisallowedReason": [
                    "string"
                ],
                "autoNegotiateSupported": false,
                "enhancedNetworkingStackSupported": false,
                "ensInterruptSupported": false,
                "rdmaDevice": "string",
                "dpuId": "string",
                "perfNicOffloadSupported": false
            }
        ]
    }
]
array of object
Optional

This class is used to store valid PhysicalNics for a specific host

Since: vSphere API Release 8.0.0.1


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"dvs":"{}"}' https://{api_host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/QueryCompatibleVmnicsFromHosts